commit-gnuradio
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Commit-gnuradio] gr-error-correcting-codes/src/python Makefile.a...


From: Michael Dickens
Subject: [Commit-gnuradio] gr-error-correcting-codes/src/python Makefile.a...
Date: Mon, 03 Jul 2006 18:23:16 +0000

CVSROOT:        /sources/gnuradio
Module name:    gr-error-correcting-codes
Changes by:     Michael Dickens <michaelld>     06/07/03 18:23:16

Modified files:
        src/python     : Makefile.am 
Added files:
        src/python     : run_tests.in 
Removed files:
        src/python     : run_tests 

Log message:
        Corrected files for run_tests and changed Makefile.am accordingly.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/gr-error-correcting-codes/src/python/Makefile.am?cvsroot=gnuradio&r1=1.1&r2=1.2
http://cvs.savannah.gnu.org/viewcvs/gr-error-correcting-codes/src/python/run_tests.in?cvsroot=gnuradio&rev=1.1
http://cvs.savannah.gnu.org/viewcvs/gr-error-correcting-codes/src/python/run_tests?cvsroot=gnuradio&r1=1.1&r2=0

Patches:
Index: Makefile.am
===================================================================
RCS file: /sources/gnuradio/gr-error-correcting-codes/src/python/Makefile.am,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -b -r1.1 -r1.2
--- Makefile.am 3 Jul 2006 02:11:59 -0000       1.1
+++ Makefile.am 3 Jul 2006 18:23:16 -0000       1.2
@@ -1,5 +1,5 @@
 #
-# Copyright 2004 Free Software Foundation, Inc.
+# Copyright 2006 Free Software Foundation, Inc.
 # 
 # This file is part of GNU Radio
 # 
@@ -29,6 +29,4 @@
 
 grpython_PYTHON =
 
-MOSTLYCLEANFILES = *.pyc *~
-
-CONFIG_CLEAN_FILES = *.in
+MOSTLYCLEANFILES = *.pyc *~ run_tests

Index: run_tests.in
===================================================================
RCS file: run_tests.in
diff -N run_tests.in
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ run_tests.in        3 Jul 2006 18:23:16 -0000       1.1
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# All this strange PYTHONPATH manipulation is required to run our
+# tests using our just built shared library and swig-generated python
+# code prior to installation.
+
+# build tree == src tree unless you're doing a VPATH build.  
+# If you don't know what a VPATH build is, you're not doing one.  Relax...
+
address@hidden@
address@hidden@
+
+# Where to look in the build tree for our shared library
address@hidden@/src
+# Where to look in the src tree for swig generated python code
address@hidden@/src
+# Where to look in the src tree for hand written python code
address@hidden@/src
+
+# Where to look for installed GNU Radio python modules
+# FIXME this is wrong on a distcheck.  We really need to ask gnuradio-core
+# where it put its python files.
address@hidden@
address@hidden@
+
+PYTHONPATH="$libbld:$libbld/.libs:$libsrc:$py:$installed_pythondir:$installed_pyexecdir:$PYTHONPATH"
+#PYTHONPATH="$libbld:$libbld/.libs:$libsrc:$py:$installed_pythondir:$installed_pyexecdir"
+
+export PYTHONPATH
+
+#
+# This is the simple part...
+# Run everything that matches qa_*.py and return the final result.
+#
+
+ok=yes
+for file in @srcdir@/qa_*.py
+do
+  if ! $file
+  then
+    ok=no
+  fi  
+done
+
+if [ $ok = yes ]
+then
+  exit 0
+else
+  exit 1
+fi

Index: run_tests
===================================================================
RCS file: run_tests
diff -N run_tests
--- run_tests   3 Jul 2006 02:11:59 -0000       1.1
+++ /dev/null   1 Jan 1970 00:00:00 -0000
@@ -1,50 +0,0 @@
-#!/bin/sh
-
-# All this strange PYTHONPATH manipulation is required to run our
-# tests using our just built shared library and swig-generated python
-# code prior to installation.
-
-# build tree == src tree unless you're doing a VPATH build.  
-# If you don't know what a VPATH build is, you're not doing one.  Relax...
-
-prefix=/Users/mlk/GNURadio/local/Darwin8-ppc7450
-exec_prefix=${prefix}
-
-# Where to look in the build tree for our shared library
-libbld=/Users/mlk/GNURadio/gr-build/gr-error-correcting-codes/src/python/../.././src
-# Where to look in the src tree for swig generated python code
-libsrc=/Users/mlk/GNURadio/gr-build/gr-error-correcting-codes/src/python/../../src
-# Where to look in the src tree for hand written python code
-py=/Users/mlk/GNURadio/gr-build/gr-error-correcting-codes/src/python/../../src
-
-# Where to look for installed GNU Radio python modules
-# FIXME this is wrong on a distcheck.  We really need to ask gnuradio-core
-# where it put its python files.
-installed_pythondir=${prefix}/lib/python2.4/site-packages
-installed_pyexecdir=${exec_prefix}/lib/python2.4/site-packages
-
-PYTHONPATH="$libbld:$libbld/.libs:$libsrc:$py:$installed_pythondir:$installed_pyexecdir:$PYTHONPATH"
-#PYTHONPATH="$libbld:$libbld/.libs:$libsrc:$py:$installed_pythondir:$installed_pyexecdir"
-
-export PYTHONPATH
-
-#
-# This is the simple part...
-# Run everything that matches qa_*.py and return the final result.
-#
-
-ok=yes
-for file in ./qa_*.py
-do
-  if ! $file
-  then
-    ok=no
-  fi  
-done
-
-if [ $ok = yes ]
-then
-  exit 0
-else
-  exit 1
-fi




reply via email to

[Prev in Thread] Current Thread [Next in Thread]